[Tutor] Python 2.4 or Python 2.5?

Alan Gauld alan.gauld at btinternet.com
Sat Apr 21 09:32:38 CEST 2007

<python at uni-code.com> wrote

> Im confused When i had python 2.4 all my scripts work correctly 
> should i
> reinstall python 2.4?  Or should I keep 2.5?  Where can I find 
> information
> on coding for python 2.5?

Coding for 2.4 is not significantly different to coding for 2.4.
Your 2.4 scripts should all still work provided you have set
up the same environment. The most likely change is that
you had some configuration settings for 2.4 that have
changed or not been set in 2.5. (for example are your
PYTHONPATH and PATH settings still correct?)

However without any information about what the problem is
it is hard to make a recommendation.

Alan G. 

More information about the Tutor mailing list